import React from "react";

interface Props {
	children: React.ReactNode
	className?: string;
	prefix?: React.ReactNode;
	suffix?: React.ReactNode;
}

export default function InputContainer(props: Props) {
	return (<div
		className="border border-gray-300 rounded-3xl mt-2 flex items-center px-3 focus-within:border-blue-500 focus-within:shadow focus-within:shadow-blue-200">
		{props.prefix}{props.children}{props.suffix}
	</div>)
}