import {Cascader} from "antd";
import React, {useEffect, useMemo} from "react";


const prevSelectValues: Id[][] = [];

// function buildValues(options: OptionItem[], selectedValues: Id[][], allValue = -1) {
// 	const values: Id[][] = []
// 	selectedValues.forEach(item => {
// 		if (item.length === 0) {
// 			return;
// 		}
// 		if (item.length == 1) {
// 			if (item[0] == allValue) {
// 				values.push([allValue]);
// 				return;
// 			}
// 			// 只有1个值 表示选择了一级分类下的所有二级分类
// 			const op = options.find(option => option.value === item[0]);
// 			if (!op || !op.children || op.children.length === 0) {
// 				// 没有找到或者没有二级分类
// 				return;
// 			}
// 			// 只有一级分类
// 			op.children.forEach(child => {
// 				values.push([item[0], child.value]);
// 			})
// 			return;
// 		}
// 		values.push(item)
// 	})
// 	return values
// }

// 获取两个数组的差集
// function getValuesDiff(values: Id[][], prevValues: Id[][]) {
// 	if (values.length != prevValues.length) {
// 		const moreItems = values.length > prevValues.length ? values : prevValues;
// 		const lessItems = values.length > prevValues.length ? prevValues : values;
// 		const lessItemsKeys = lessItems.map(s => s.join('-'));
// 		for (let i = 0; i < moreItems.length; i++) {
// 			const item = moreItems[i], index = lessItemsKeys.indexOf(item.join('-'));
// 			if (index === -1) {
// 				return item;
// 			}
// 		}
// 	}
// 	return null;
// }
//
// function getAllValue(options: OptionItem[]) {
// 	const values: Id[][] = []
// 	options.forEach(option => {
// 		if (option.children && option.children.length > 0) {
// 			option.children.forEach(child => {
// 				values.push([option.value, child.value]);
// 			})
// 		} else {
// 			values.push([option.value]);
// 		}
// 	})
// 	return values
// }

export default function ArticleCascader(props: {
	options: OptionItem[];
	onChange: (values: Id[][]) => void;
}) {
	const [selectValues, _setSelectValues] = React.useState<Id[][]>([])
	useEffect(() => {
		// 清除上一次的选中值
		prevSelectValues.length = 0;
	}, [])
	// const allOptionValue = useMemo(() => {
	// 	return getAllValue(props.options)
	// }, [props.options])

	const setSelectValues = (value: Id[][]) => {
		_setSelectValues(value)
		//console.log(value,value.some(s=>s[0] == -1))
		props.onChange?.(value)
	}
	const handleChange = (values: Id[][]) => {
		// const fullValues = buildValues(props.options, values)
		// const diffValue = getValuesDiff(fullValues, prevSelectValues);
		// const isIncrease = fullValues.length > prevSelectValues.length;
		// prevSelectValues.length = 0;
		//
		// if(values.length == 0){
		// 	setSelectValues([])
		// 	return;
		// }
		// // 判断操作的是否是全部
		// if(diffValue?.length == 1 && diffValue[0] == -1){
		// 	if(isIncrease) prevSelectValues.push(...allOptionValue);
		// 	setSelectValues(isIncrease ? [...allOptionValue] : [])
		// 	return;
		// }
		// // if(fullValues.length != allOptionValue.length){
		// // 	setSelectValues(fullValues.filter(s=>s.length == 1 && s[0] != -1))
		// // }else{
		// //
		// // }
		//
		// if(fullValues.filter(s=>s.length > 1 || s[0] != -1).length == allOptionValue.length - 1){
		// 	prevSelectValues.push(...allOptionValue);
		// 	setSelectValues( [...allOptionValue])
		// 	return;
		// }
		// prevSelectValues.push(...fullValues);
		setSelectValues(values.filter(s=>s.length > 1 || s[0] != -1))
	}

	return (<Cascader
		options={props.options}
		className="article-cascader min-w-[230px]"
		placeholder="请选择你要筛选的新闻来源"
		value={selectValues}
		onChange={handleChange}
		displayRender={label => label.join('-')}
		expandTrigger="click"
		multiple
		maxTagCount="responsive"

	/>)
}