import {Button, Modal} from "antd";
import {showToast} from "@/components/message.ts";
import {useState} from "react";
import {push2article} from "@/service/api/news.ts";

export default function ButtonPushNews2Article(props: { ids: Id[] }) {
	const [loading,setLoading] = useState(false)
	const handlePush = () => {
		setLoading(true)
		push2article(props.ids).then(() => {
			showToast('推送成功', 'success')
		}).catch(() => {
			showToast('推送失败', 'error')
		}).finally(() => {
			setLoading(false)
		})
	}
	const onPushClick = () => {
		if (props.ids.length === 0) {
			showToast('请选择要推送的新闻', 'warning')
			return
		}
		Modal.confirm({
			title: '操作提示',
			content: '是否确定推入素材编辑界面？',
			onOk: handlePush
		})
	}
	return (
		<Button
			type={'primary'}
			loading={loading}
			onClick={onPushClick}
		>推入素材编辑界面</Button>
	)
}