import {Button, Modal} from "antd";
import React, {useState} from "react";
import {showErrorToast, showToast} from "@/components/message.ts";
import {push2video} from "@/service/api/article.ts";


export default function ButtonPush2Video(props: { ids: Id[];onSuccess?:()=>void; }) {
	const [loading, setLoading] = useState(false)
	const handlePush = () => {
		setLoading(true)
		push2video(props.ids).then(() => {
			showToast('一键推流成功，已成功推入数字人视频生成，请前往数字人视频生成页面查看！', 'success')
			props.onSuccess?.()
		}).catch(showErrorToast).finally(() => {
			setLoading(false)
		})
	}
	const onPushClick = () => {
		if (props.ids.length === 0) {
			showToast('请选择要开播的新闻', 'warning')
			return
		}
		Modal.confirm({
			title: '操作提示',
			content: '是否确定一键开播选中新闻？',
			onOk: handlePush
		})
	}
	return (
		<Button type="primary" loading={loading} onClick={onPushClick}>一键开播</Button>
	)
}